Can't install any apps on my laptop

[eos-diagnostic-200116_115059_UTC 0100.txt|attachment]
Hello I have some problem!

I can’t install any apps on my Enless OS 3.3
It’s alwas says that the app " can’t pull from untrusted non- gpg verfied remote"
What can I do to fix this problem?
I linked here the diagnostics of my Endless as the website asks.

Upgrade to Endless OS 3.7.6

Settings :arrow_right: Details :arrow_right: Look for updates


You will upgrade to Endless OS 3.3.20. Repeat the same procedure to upgrade to Endless OS 3.7.6

I made it but unsuccessfully, because the system says the I have not enough entitlement to install upgrades but I am the only user and system administrator too.

  1. Open the application called ‘Terminal’
  2. Copy and paste this command into the Terminal application:
flatpak update --appstream && flatpak update -y
eos-updater-ctl update
  1. Wait for a notification saying that it is to restart the computer and Click to restart the computer

Sorry! I made that you told me, but the problem is still the same. The system remains 3.3.15.

Hi,

Can you attach a diagnostic log after trying to update? Here are the steps to follow:

  1. Try updating by opening the Settings app, going to the Details pane, and clicking the link in the bottom right corner.
  2. Open the application called ‘Terminal’. You can search for it by typing into the search bar on the desktop.
  3. In the Terminal, type this command and then press Enter: eos-diagnostics
  4. The above command will create a file with the information of your system (example: eos-diagnostic-160614_111731_UTC + 0100.txt); Send us this file so we can analyze it and seek a possible solution

eos-diagnostic-200117_102816_UTC 0100.txt (304.1 KB)

It looks like you’re affected by a bug where the update from Endless OS versions 3.3.17 and earlier does not apply on some computers. To work around the issue, can you open a Terminal and carefully type this command:

sudo rm /boot/grub/grubenv

Then reboot, confirm that you’re on 3.3.20, and you should be able to update to 3.7.6 from there.

Now I have Endless 3.7.6, Thank you very much!
But when I want to install the new Google Chrome or Mozzila it still says that the app " can’t pull from untrusted non- gpg verfied remote".
Do I have to do the previous instuctions?

Can you collect another diagnostic log immediately after trying to install one of those apps?

eos-diagnostic-200121_212953_UTC 0100.txt (936.9 KB)

Oh, now I see from your original post that this app installation error was happening before you upgraded the OS. Can you post the output of this command:

ls -l /var/lib/flatpak/repo/flathub.trustedkeys.gpg

schlagl@endless:~$ ls -l /var/lib/flatpak/repo/flathub.trustedkeys.gpg
-rw-r–r-- 1 root root 2852 szept 15 2017 /var/lib/flatpak/repo/flathub.trustedkeys.gpg
schlagl@endless:~$